Page MenuHomePhabricator

Edit icon in new two column edit conflict design appears active when it can't be edited
Closed, ResolvedPublic1 Estimated Story Points

Description

Steps to reproduce

  1. Get into an edit conflict with the beta feature on (or just look on this image: https://commons.wikimedia.org/wiki/File:New_design_for_the_Two_Column_edit_conflict_interface,_status_October_2018.png)
  2. Choose a version (e.g. before) and try to click to the pencil icon in the other version.

Expected behavior
The icon shouldn't be there or should open an edit dialog

Current behavior
The icon does nothing instead, which was really confusing to me

My first experience with the new design
I've chosen left (his) version and tried to click to a pencil icon in the right version (not noticed the same icon in the left version). Nothing happenned. I was confused, tried to click the icon multiple times unable to edit anything. I solved my first experience by leaving the interface. Next time I noticed the second identical pencil icon.

Event Timeline

Dvorapa created this task.Nov 16 2018, 1:55 PM
Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptNov 16 2018, 1:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Dvorapa updated the task description. (Show Details)Nov 16 2018, 1:55 PM

I'll check the color of the icon and investigate if the edit pen needs to remain or can go away.

Restricted Application added a project: Design. · View Herald TranscriptFeb 19 2020, 11:25 AM
This comment was removed by Erdinc_Ciftci_WMDE.
thiemowmde removed thiemowmde as the assignee of this task.
thiemowmde claimed this task.
thiemowmde moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2020-02-19 board.
thiemowmde added a subscriber: thiemowmde.

Change 575988 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] [POC] Replace custom "disabled" colors with opacity

https://gerrit.wikimedia.org/r/575988

Current colors for comparison:

Proposed colors as of patch https://gerrit.wikimedia.org/r/575988, patch set 1:

@Hanna_Petruschat_WMDE, note this is really just meant as a proof-of-concept to achieve two things: To understand what code we need to touch, and to have something visually we can talk about. Please let us know what best to do with disabled edit pen buttons.

Hi @thiemowmde,

for a quick fix I would suggest to set the color of the disabled edit pen to Base50 (#a2a9b1). No matter which way we choose we always violate the style guide (Base30) or code suggestions (0.51). Our interaction pattern just doesn't fit in the use cases they consider, but I would not like to make it a necessary change for this task.

I set up another ticket where we can discuss going for another interaction pattern which might help people understand what they are supposed or unable to do: T246878

awight removed Hanna_Petruschat_WMDE as the assignee of this task.Mar 4 2020, 10:48 AM
awight set the point value for this task to 1.
awight moved this task from Sprint Backlog to Review on the WMDE-QWERTY-Sprint-2020-03-04 board.

Change 575988 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Make disabled edit pen lighter

https://gerrit.wikimedia.org/r/575988

thiemowmde renamed this task from New two column edit conflict design should not contain edit icon when it can't be edited to Edit icon in new two column edit conflict design appears active when it can't be edited.Mar 17 2020, 12:43 PM
thiemowmde closed this task as Resolved.
thiemowmde moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-03-04 board.